#version 330

in vec3 position;
in vec3 normal;

uniform mat4 MVP;

out vec3 DIFFUSE;
out vec3 NORMAL;

void main() {
  gl_Position = MVP * vec4(position, 1.0);
  DIFFUSE = vec3(1.0, 0.0, 0.0);
  NORMAL = normal;
}
